package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.HfMember;
import com.ym.mec.common.service.BaseService;

import java.io.File;
import java.util.Map;

public interface HfMemberService extends BaseService<Integer, HfMember> {

    Map<String,Object> createMember(HfMember member, File file) throws Exception;

    Map<String,Object> updateMember(HfMember member, File file) throws Exception;

    Map<String,Object> createSettleAccount(String memberId, String cardNo, String bankCode) throws Exception;
}
